<?php
	session_start();
	require "conexao.php";
	
	$sql = "TRUNCATE precoloja";
	mysqli_query($conexao, $sql);

	/* destino dos arquivos configurados pelo usuario a proxima linha configura manualmente por aqui é so descomentar*/

	//$destino = "/util/temp/Arquivo_integracao.txt";

    //pega o destino
	$destino = 'preco.txt'; // pega o caminho do banco e concatena com o nome do arquivo

	//mysqli_options($conexao, MYSQLI_OPT_LOCAL_INFILE, true);

	$sql = "LOAD DATA

	LOCAL INFILE '$destino'

	REPLACE INTO TABLE precoloja

	FIELDS TERMINATED BY ';'";
	
	$result = mysqli_query($conexao, $sql);

	//@unlink("$destino"); //apaga o arquivo